VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Combo Box Demo"
   ClientHeight    =   7575
   ClientLeft      =   4740
   ClientTop       =   1485
   ClientWidth     =   7365
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   7575
   ScaleWidth      =   7365
   Begin VB.Frame Frame3 
      Caption         =   "Style ""1 - Simple Combo"""
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1995
      Left            =   60
      TabIndex        =   12
      Top             =   4680
      Width           =   7215
      Begin VB.ComboBox cboStateName 
         Height          =   1155
         Left            =   180
         Style           =   1  'Simple Combo
         TabIndex        =   15
         Top             =   600
         Width           =   3675
      End
      Begin VB.CommandButton cmdAddNewName 
         Caption         =   "Add New Item to List"
         Height          =   615
         Left            =   4140
         TabIndex        =   16
         Top             =   1140
         Width           =   2955
      End
      Begin VB.CommandButton cmdLoadStateNameCombo 
         Caption         =   "Load State NameCombo"
         Height          =   615
         Left            =   4140
         TabIndex        =   14
         Top             =   360
         Width           =   2955
      End
      Begin VB.Label Label3 
         BackStyle       =   0  'Transparent
         Caption         =   "Select State Name:"
         Height          =   255
         Left            =   180
         TabIndex        =   13
         Top             =   300
         Width           =   1935
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Style ""0 - Dropdown Combo"""
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1815
      Left            =   60
      TabIndex        =   7
      Top             =   2760
      Width           =   7215
      Begin VB.ComboBox cboStateAbbrev 
         Height          =   315
         Left            =   180
         Sorted          =   -1  'True
         TabIndex        =   10
         Top             =   660
         Width           =   3675
      End
      Begin VB.CommandButton cmdLoadStateAbbrevCombo 
         Caption         =   "Load State Abbrev Combo"
         Height          =   615
         Left            =   4140
         TabIndex        =   9
         Top             =   240
         Width           =   2955
      End
      Begin VB.CommandButton cmdAddNewAbbrev 
         Caption         =   "Add New Item to List"
         Height          =   615
         Left            =   4140
         TabIndex        =   11
         Top             =   960
         Width           =   2955
      End
      Begin VB.Label Label2 
         BackStyle       =   0  'Transparent
         Caption         =   "Select State Abbrev:"
         Height          =   255
         Left            =   180
         TabIndex        =   8
         Top             =   360
         Width           =   1935
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Style ""2 - Dropdown List"""
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2595
      Left            =   60
      TabIndex        =   0
      Top             =   60
      Width           =   7215
      Begin VB.ComboBox cboFood 
         Height          =   315
         Left            =   180
         Style           =   2  'Dropdown List
         TabIndex        =   4
         Top             =   1020
         Width           =   3735
      End
      Begin VB.CommandButton cmdLoadFoodCombo 
         Caption         =   "Load Food Combo"
         Height          =   615
         Left            =   4140
         TabIndex        =   2
         Top             =   240
         Width           =   2895
      End
      Begin VB.CommandButton cmdSelect 
         Caption         =   "Select Food Item with Code"
         Height          =   615
         Left            =   4140
         TabIndex        =   5
         Top             =   960
         Width           =   2895
      End
      Begin VB.CommandButton cmdDetermine 
         Caption         =   "Determine what Item was Selected"
         Height          =   615
         Left            =   4140
         TabIndex        =   6
         Top             =   1680
         Width           =   2895
      End
      Begin VB.CheckBox chkAuto 
         Caption         =   "Auto-determine selected item on Click"
         Height          =   315
         Left            =   180
         TabIndex        =   1
         Top             =   360
         Width           =   3675
      End
      Begin VB.Label Label1 
         BackStyle       =   0  'Transparent
         Caption         =   "Select Food:"
         Height          =   255
         Left            =   180
         TabIndex        =   3
         Top             =   780
         Width           =   1935
      End
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "Exit"
      Height          =   615
      Left            =   2475
      TabIndex        =   17
      Top             =   6840
      Width           =   2415
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdLoadFoodCombo_Click()
    
    cboFood.Clear
    
    cboFood.AddItem "Orange"
    cboFood.ItemData(cboFood.NewIndex) = 60
    cboFood.AddItem "Apple"
    cboFood.ItemData(cboFood.NewIndex) = 80
    cboFood.AddItem "Banana"
    cboFood.ItemData(cboFood.NewIndex) = 105

    MsgBox "Food combo box has been loaded.", _
           vbInformation, _
          "Combo Box Demo"

End Sub

Private Sub cmdSelect_Click()

    Dim strFood     As String
    Dim intX        As Integer
    Dim blnFound    As Boolean
    
    strFood = InputBox("Please enter the food to select (apple, orange, or banana).", _
                       "Combo Box Demo - Select with Code")
                       
    If strFood = "" Then Exit Sub
    
    blnFound = False
    
    For intX = 0 To cboFood.ListCount - 1
        If UCase$(cboFood.List(intX)) = UCase$(strFood) Then
            cboFood.ListIndex = intX
            blnFound = True
            Exit For
        End If
    Next

    If Not blnFound Then
        MsgBox "Item was not found in the list.", _
               vbExclamation, _
               "Combo Box Demo"
    End If

End Sub

Private Sub cmdDetermine_Click()

    If cboFood.ListIndex = -1 Then
        MsgBox "There is no item currently selected.", _
               vbInformation, _
               "Combo Box Demo"
        Exit Sub
    End If
    
    MsgBox "You have selected " & cboFood.List(cboFood.ListIndex) & "." & vbNewLine _
         & "It has " & cboFood.ItemData(cboFood.ListIndex) & " calories.", _
           vbInformation, _
           "Combo Box Demo"
    
End Sub

Private Sub cboFood_Click()
    If chkAuto.Value = vbChecked Then
        Call cmdDetermine_Click
    End If
End Sub

Private Sub cmdLoadStateAbbrevCombo_Click()

    Dim intStateFileNbr As Integer
    Dim strBS           As String
    Dim strStateAbbrev  As String
    Dim strStateName    As String
    
    strBS = IIf(Right$(App.Path, 1) = "\", "", "\")
    intStateFileNbr = FreeFile
    
    Open (App.Path & strBS & "STATES.DAT") For Input As #intStateFileNbr
    
    cboStateAbbrev.Clear
    
    Do Until EOF(intStateFileNbr)
        Input #intStateFileNbr, strStateAbbrev, strStateName
        cboStateAbbrev.AddItem strStateAbbrev
    Loop

    Close #intStateFileNbr

    MsgBox "State abbreviation combo box has been loaded.", _
           vbInformation, _
          "Combo Box Demo"

End Sub

Private Sub cmdAddNewAbbrev_Click()

    Dim intX    As Integer
    
    If cboStateAbbrev.Text = "" Then Exit Sub
    
    For intX = 0 To cboStateAbbrev.ListCount - 1
        If UCase$(cboStateAbbrev.Text) = UCase$(cboStateAbbrev.List(intX)) Then
            MsgBox "Item '" & cboStateAbbrev.Text & "' is already in list.", _
                   vbExclamation, _
                   "Combo Box Demo"
            Exit Sub
        End If
    Next
    
    ' if we get here, the item entered in text portion is not in the list
    cboStateAbbrev.AddItem cboStateAbbrev.Text
    MsgBox "Item '" & cboStateAbbrev.Text & "' has been added to the list.", _
           vbExclamation, _
           "Combo Box Demo"

End Sub

Private Sub cmdLoadStateNameCombo_Click()

    Dim intStateFileNbr As Integer
    Dim strBS           As String
    Dim strStateAbbrev  As String
    Dim strStateName    As String
    
    strBS = IIf(Right$(App.Path, 1) = "\", "", "\")
    intStateFileNbr = FreeFile
    
    Open (App.Path & strBS & "STATES.DAT") For Input As #intStateFileNbr
    
    cboStateName.Clear
    
    Do Until EOF(intStateFileNbr)
        Input #intStateFileNbr, strStateAbbrev, strStateName
        cboStateName.AddItem strStateName
    Loop

    Close #intStateFileNbr

    MsgBox "State name combo box has been loaded.", _
           vbInformation, _
          "Combo Box Demo"

End Sub

Private Sub cmdAddNewName_Click()

    Dim intX    As Integer
    
    If cboStateName.Text = "" Then Exit Sub
    
    For intX = 0 To cboStateName.ListCount - 1
        If UCase$(cboStateName.Text) = UCase$(cboStateName.List(intX)) Then
            MsgBox "Item '" & cboStateName.Text & "' is already in list.", _
                   vbExclamation, _
                   "Combo Box Demo"
            Exit Sub
        End If
    Next
    
    ' if we get here, the item entered in text portion is not in the list
    cboStateName.AddItem cboStateName.Text
    MsgBox "Item '" & cboStateName.Text & "' has been added to the list.", _
           vbExclamation, _
           "Combo Box Demo"

End Sub

Private Sub cmdExit_Click()
    End
End Sub

